0.10.1 10/9/17
 * mode2: Fix inconsistent loglevel/debug option (#307).
 * build: install media/lirc.h (Debian BTS #872074).
 * build: Fix make "always build all" error - c6eb8ec.
 * plugins: devinput: Fix glob "no match" error - 14685b2.

0.10.0 12/8/17
 * lib/curl_poll.h: Fix header guard build error on müsl libc.
 * Build: Mute libtool when V=0, typo.
 * Update driver version info.

0.10.0-rc3 21/6/17
 * lircmd: Fix bogus, excessive logging using --uinput (#295).
 * Build: VPATH fixes (#294).
 * Build: kfreebsd debian builds fixes.
 * python tests: Portability fixes for in python-pkg/test.
 * Unit tests in test/ dir: Portability fixes and some docs.

0.10.0-rc2 13/6/17
 * Fixed lirc-setup fail-on-start (#290).
 * Make python unit tests work on Debian (#289).
 * Fix mode2 config file parsing [292].
 * Documentation update.
 * Build fixes.

0.10.0rc1 28/5/17
 * ftdi driver: Fix off-by-2 timings (#275). This is a breaking
   change, see ftdi driver docs or source at doc/plugins/ftdi.html.
 * doc: The lirc.hwdb parsable driver list is deprecated - use
   the python database or the configs/*.yaml files instead.
 * lircd: the deprecated --uinput option is dropped. Use
   the lircd-uinput(8) daemon instead.
 * lircd: The --release option is deprecated.
 * lircd: Adding a --immediate-init option which initiates
   the hardware directly on start and exits on errors.
 * lircd, lircd-uinput: Change default release suffix due to linux
   kernel changes (#263).
 * plugins: The slinke (a. k. a. slink-e) driver is dropped.
 * plugins: Add support for irdroid in the irtoy driver.
 * plugins: Enhanced device enumeration, mode2 --list-devices
   works for most drivers.
 * plugins: devinput driver: Fix bad codelength (#263).
 * New, shiny (i. e., unstable) python API. See the API docs,
   module "python bindings". The API is also available as a pypi
   package, typically at /usr/share/lirc/python-pkg
 * lircd-uinput: Multiple config file parsing errors (#284).
 * lib: Added enumeration support and server version level check
   to driver API.
 * irrecord: Add --driver-options for lircd symmetry (#277).
 * lircd: Fix devices not connected at first attempt (#279).
 * lib: Fix failure when parsing absolute paths config files (#281).
 * lircd/irsend: Fix bug when sending/receiving concurrently for
   some remotes (#278, 5 pages!)
 * lircd:Fix missing systemd support due to upstream changes (#274).
 * The configs/*conf files no more supports  enumerating devices
   using shell scripts.
 * Build: Added new configure --enable-devinput option (#264).
 * Build: Added new configure --enable-uinput option, ditched
   the HAVE_UINPUT 0.9.4c kludge.
 * Build: More quiet, enhanced V=0/V=1 support.
 * Build: OSX patches(#273)

0.9.4d 23/01/17
 * The debian packaging means that freebsd and hurd builds are
   regularly tested, improving build stability.
 * A multitude of build patches, mostly after building on Debian:
    + Cross-compilation FTBS fixed (#233)
    + Fix configuration of configure (#234)
    + Fix library specification in lirc.pc (#236)
    + use HAVE_UINPUT=1 to force building uinput code (#238).
    + lib: Only use local headers in lirc_private.h (#237).
    + Configure libudev (#242)
    + Various kfreebsd fixes
    + Include config.h in installed headers (#250).
    + Fix _XOPEN_SOURCE related FTBS on some platforms (#248)
 * lib: Fix some lircrcd-related bugs (#254)
 * systemd: Fix wrong path to irexec (#239)
 * systemd: Add missing lircd-setup.service to distribution (#243)
 * lircd: Fix --listen option parsing [#249]
 * lircd: Fix segfault in SET_INPUTLOG without arguments (#252)
 * lircd: Fix DRV_OPTION error message handling (#256).
 * ircat: Fix option parsing bug + empty conditions (#251)
 * xmode2: Fix handling of --driver option.

0.9.4c 22/10/16
 * New curl_poll files adds a new MIT license. Lirc now carries
   GPL, BSD and MIT licenses.
 * Several patches to make lirc work again on macos (#226, #227).
 * New tool irtext2udp generates udp plugin data (#197).
 * Fix FTBS errors on linux kernel >= 4.8.0 (#232).
 * plugins: girs: Add udp/receive support (#201).
 * mode2: Fix broken --raw option (#223).
 * lirc-make-devinput: Fix that two remotes has the same name (#222).
 * lircd: Warn for duplicate remote definitions (#222).
 * lircd: Retry temporary unavailable write sockets (#221).
 * contrib: Fix usb devices' acl permissions (rhbz #1364744).
 * lirc-setup: Fix crasher bugfix (Fedora abort trace).
 * contrib: disable udev /dev/uinput rule requiring lirc user.
 * plugins: audio_alsa: Fix byte truncating in 16-bit data (#218):
 * plugins: irtoy: improve error handling (#220).
 * Minor documentation fixes.

0.9.4b 9/8/16
  * lircd-uinput: A multitude of fixes (#213, #211, #177). Adds new options.
  * lirc_client:  Fix "Can't redirect irsend output" (#207).
  * lirc_client: read_string() not terminating buffer contents (#216)
  * Remove a single python2 dependency [4e3c97c].
  * irrecord: Fix under-sized buffer causing crash (#208).
  * systemd: Add hardening options comments to services (#204).
  * lircmd: Options, udev examples and manpage update.A
  * lib: Add missing Makefile.am dep (#210).
  * doc: Manpages and configuration guide fixes.
  * build: Don't define docdir - autoconf defines docdir (#215).
  * build: support runstatedir configure option (#212).

0.9.4a 22/6/16
  * Fix syntax errors in systemd unit files (rhbz: 1350750).
  * irrecord: Enhance "Don't use devinput" message (#180).
  * plugins/uirt2_raw: Reset device to UIR mode on deinit.
  * plugins/girs.c: Enable reception after sending.
  * lirc.org: Updates and bugfixes
  * lircd, liblirc_client: Fix freeaddrinfo handling (#195).
  * Don't build commandir unless we have usb.h (#191).
  * lirc_options.conf: debug => loglevel (#199).
  * lib: use proper linking method to avoid parallel build issue
  * tools: make_rel_symlink.py can also use python2
  * plugins/devinput: Make the list-devices support available.
  * configure.ac: Bugfix (BSD setting reported wrong).

0.9.4 22/5/16
  * Issues: https://sf.net/p/lirc/tickets/milestone/0.9.4
  * Digest of 0.9.4pre1, 0.9.4pre2

  * The caraca driver has been retired (still available in attic/).
  * The iguanair driver has been moved out of tree and is now
    maintained by Iguanaworks, Inc. See drivers/iguanair/README.
  * The irman driver has been moved out of tree. From 0.5.1 the
    libirman package contains the driver. See drivers/irman/README
  * The yard2 driver has been moved out of tree and is now maintained
    by the yard2 project. See driver/yard2/README.
  * The lirc.4 manpage (/dev/lirc* interface) is upstreamed to the
    linux kernel manpages project (#164). Old page lirc.4l still
    lingers in attic/ but is not installed.
  * Upstream selinux updated to match current lircd requirements.
    See: https://github.com/fedora-selinux/selinux-policy/pull/41

  * New upstream debian packaging with which Debian users can create
    .deb packages. Ubuntu packages are also available in PPAs. See
    README.md in the debian branch (#137).
  * New driver girs for the GIRS protocol, gives LIRC Arduino support.
    See new info in driver documentation.
  * New transmit-only FTDI driver with enhanced accuracy and hardware
    support. See ftdix driver documentation.
  * Support for non-modulated signals added (#132).
  * As shipped, lircd now uses the devinput driver and the new 'auto'
    device, should work for all remotes supported by kernel (#106).
  * Enhanced lirc-setup tool (#123, partly):
    - Add drvctl device enumeration support.
    - Integrated mode2 and irw tests of current configuration.
    - Documentation links.
    - More consistent data based on new database.
    - Multiple bugfixes.
  * Several patches to make mode2 work with all drivers(#123, partly)
  * Configuration database overhaul (#123, partly)
    - Database lives as yaml files in configs/.
    - Data is collected from drivers, remotes and static files.
    - Better ways for drivers to enumerate devices.
    - There is an unstable python database module used by
      all tools.
  * Several drivers including default and devinput has enhanced
    enumeration support, usable with mode2 -l and lirc-setup.
  * devinput.lircd.conf is generated at build time to match host kernel,
    new script lirc-make-devinput shipped to re-generate it (#153)
  * A new script lircd-setup runs as a one-shot service before lircd,
    performing setup commands as root (#121).
  * Several new examples in contrib/, notably lircrc templates for
    many popular LIRC applications and improved udev rules.
  * The default driver does not require root perms if the protocol
    is correct (#133).
  * Add an "auto" device to devinput driver for single-device
    usecase (#134).
  * irrecord has been taught to handle remotes without gap (#98).
  * The --uinput lircd option is deprecated, obsoleted by the
    lircd.uinput.service systemd service. See lircd-uinput(8).
  * CLI options for mode2, xmode2 and irrecord has been streamlined.
    All tools falls back to lircd defaults where it makes sense.

  * The driver API has been expanded with functions to enumerate
    devices. See configs/README and lib/driver.h.
  * New logging API with hooks for enhanced messages and filtering
    (also #129).
  * The out-of-tree build interface is enhanced with hooks for external
    drivers to rebuild documentation and add a config file.

  * lircd: Fix too-short gap  when sending/blasting (#158).
  * lircd: Fix typo causing lost deinit_func() calls (#179).
  * irrecord fixes:
    - Fix broken namespace checks on recent kernels (#187).
    - Buggy handling of not decoded buttons in irrecord (#146).
    - Repeated buttons problems (#149)
    - Endless loop when key is not recognized (#146)
    - Endless loop on idendifying toggle mark (#139)
  * lirs-lsremotes: Don't use non-standard GLOB_BRACE (#174).
  * lib: Fix  misleading logprintf comments (#179)
  * lib: Clean up loglevel handling (#178).
  * Fix --plugindir not being respected (#144).
  * Fix gid and supplementary groups in CLI apps dropping root.
  * Fix a crash in irrecord when invoked without options.
  * Fix bad parsing of --options-file unless given first (#165).
  * plugins/default: Don't require write access if not needed (#133).
  * plugins/atilibusb: Fix crash for non-existing device (#145).
  * plugins/audio_alsa : Fix blocking regression bug (#169).
  * plugins/file: Fix bad test for LIRCCODE cases (#171).
  * plugins/ftdi: Bugfixes: 4157fe1, 92e2d1d, #182.
  * plugins/girs: Bugfixes.
  * plugins/default: Remotes become too sensitive in 0.9.3 (#148)
  * plugins/default: Walk around kernel bug generating multiple
    spaces (#172).

  * doc: lircd.conf: Document suppress_repeat parameter.
  * Clean up docs, remove circular links (#136). Documentation is
    now only in lirc.org/html.
  * build: Add explicit default -L${libdir} linker flag.
  * build: Fix Debian FTBS compilation error.


0.9.3  4/09/15
  * Digest of 0.9.3pre1..0.9.3pre3

  * New build dependency: xsltproc (sometimes coming with libxml).
  * The irexec semantics have been changed so that the invoked
    programs run disconnected from the main irexec process.
    See irexec(1) (#92).
  * irrecord has got some love:
     + It handles multiple definitions of same symbol OK (#78)
     + Warns about single-key config files (#77)
     + Checks for ambient light disturbances (#76)
     + New option allows updating of existing template file.
     + Template handling bug fixed
     + -l --list-namespace option parsing bug fixed (#101).
     + Minor fixes to irrecord-ui including -k option parsing fixed.
  * mode2 has been updated
     +  handle also LIRCCODE devices (#94),
     +  Drop root privileges (#91)
     +  Add  new scope-like display
     +  Handle the--driver-options switch
  * xmode2 has been updated to handle udp driver, the new
    --driver-options switch + some general overhaul.
  * irrecord has been split into a library and a cli interface
    (#36). The library interface is unstable.

  * The select() calls in lircd, lircrcd and library routines have
    been replaced with poll() to avoid crashes when file descriptors
    becomes > 1024 (#109).
  * Set supplementary groups using effective-user (RH bz 1253907).
  * Work around kernel bug in /dev/lirc0 output (#119).
  * lircmd: Several option parsing bugs fixed, one of which
    blocked the systemd service (#104, RH bz 1234155).
  * lirc-lsremotes now displays logs after parsing files, making
    more parsing warnings visible.
  * lirc-config-tool is fixed to comply with guidelines (#105).
  * Bug in irexec when using modes fixed (#102).
  * Create log directory if required (#124).
  * lirc-setup: Fixed name clash on recent python versions.

  * irtoy: New support for debug LEDs. New documentation
    file, support in lirc-setup and driver table doc added.
  * The udp driver is patched to allow adjustable clockrates,
    see new udp_driver.html driver doc.
  * The mplay driver has been updated with patches which has
    been available "out there".

  * The library routines for parsing lircd.conf now warns for
    duplicate keys and values (#107).
  * Enhanced pkg-config support for drivers compiled out-of-tree
    (see driver-api in the manual).
  * Hardcoded CFLAGS in Makefiles fixed (#124).
  * The compiler has been switched to c++, and filenames are
    updated to *.cpp (#79)
  * Build: now uses parallel make by default.
  * Overall code formatting is improved with more consistent
    layout and updated git hook. See CONTRIBUTE.md

  * Unlinked and hard to find driver docs and manpages have
    been linked.
  * The documentation is heavily revised. Old obsolete text is
    removed, the manual is reorganized, some info is moved to
    manpages and a lot of minor updates and bugfixes.

  * The lircd.simsend and lircd.simreceive tools have been removed,
    superseeded by irsimsend and irsimreceive.
  * A new kernel driver irpipe has been added. This allows feeding data
    from userspace to lircd, which can use the /dev/irpipeX device
    as a clean substitute for /dev/lircX. A companion CLI tool
    irpipe(1) is also added.
  * Options parsing (notably -U) and just listing first remote
    bugs in irsimsend have been fixed.


0.9.3pre3 16/08/15
  * The select() calls in lircd, lircrcd and library routines have
    been replaced with poll() to avoid crashes when file descriptors
    becomes > 1024 (#109).
  * Set supplementary groups using effective-user (RH bz 1253907).
  * Work around kernel bug in /dev/lirc0 output (#119).
  * Create log directory if required (#124).
  * The remotes/ directory is not used any more, removed.
  * The lircd.simsend and lircd.simreceive tools have been removed,
    superseeded by irsimsend and irsimreceive.
  * Minor fixes to lirc-setup (bbd4ccf, e384375).
  * Minor fixes to irrecord-ui including -k option parsing fixed.
  * Hardcoded CFLAGS in Makefiles fixed (#124).
  * Enhanced pkg-config support for drivers compiled out-of-tree
    (see driver-api in the manual).

0.9.3pre2 1/08/15

  * irtoy: New support for debug LEDs. New documentation
    file, support in lirc-setup and driver table doc added.
  * The library routines for parsing lircd.conf now warns for
    duplicate keys and values (#107).
  * lirc-lsremotes now displays logs after parsing files, making
    more parsing warnings visible.
  * lirc-config-tool is fixed to comply with guidelines (#105).
  * Bug in irexec when using modes fixed (#102).
  * Options parsing (notably -U) and just listing first remote
    bugs in irsimsend have been fixed.

0.9.3pre1 30/06/15

  * New build dependency: xsltproc (sometimes coming with libxml).
  * The irexec semantics have been changed so that the invoked
    programs run disconnected from the main irexec process.
    See irexec(1) (#92).
  * irrecord has got some love:
     + It handles multiple definitions of same symbol OK (#78)
     + Warns about single-key config files (#77)
     + Checks for ambient light disturbances (#76)
     + New option allows updating of existing template file.
     + Template handling bug fixed
     + -l --list-namespace option parsing bug fixed (#101).
  * mode2 has been updated
     +  handle also LIRCCODE devices (#94),
     +  Drop root privileges (#91)
     +  Add  new scope-like display
     +  Handle the--driver-options switch
  * xmode2 has been updated to handle udp driver, the new
    --driver-options switch + some general overhaul.
  * irrecord has been split into a library and a cli interface
    (#36). The library interface is unstable.
  * lircmd: Several option parsing bugs fixed, one of which
    blocked the systemd service (#104, RH bz 1234155).
  * lirc-setup: fixed name clash on recent python versions.
  * The udp driver is patched to allow adjustable clockrates,
    see new udp_driver.html driver doc.
  * The mplay driver has been updated with patches which has
    been available.
  * Overall code formatting is improved with more consistent
    layout and updated git hook. See CONTRIBUTE.md
  * The compiler has been switched to c++, and filenames are
    updated to *.cpp (#79)
  * Unlinked and hard to find driver docs and manpages have
    been linked.
  * Build: now uses parallell make by default.
  * Docs: The Configuration Guide has been updated.

0.9.2 12/09/14
  * Documentation fixes

0.9.2pre3  12/04/14
  * Add fix for #70, by mistake omitted in pre2.

0.9.2pre2  11/30/14
  * Fixes for #67 - #75 besides #71 and #74.

0.9.2pre1  11/21/14
  * Removed functionality:
    + The smode2 program has been retired from the build, although it still
      is available in contrib/.
    + The setup.sh script is removed (build always builds all drivers).
  * Drivers are loaded dynamically. Many programs including lircd now
    needs to know where the drivers are located to be able to use
    them. There are new options, environment variables and hard-coded
    defaults. See the manpages for more.
  * A new tool lirc-lsplugins is added to inspect dynamic driver modules.
  * New, unstable configuration script lirc-setup. The script guides user
    when selecting both capture device and remote config. It sports auto-
    detection of most devices, searching and downloading from the remotes
    database and a considerable amount of bugs.
  * The remotes/ directory has become obsolete, only used for testing.
    New configuration tools uses the remotes database at
    http://sf.net/p/lirc-remotes as the only source (#53). A new tool
    irdb-get(1) supports searching and downloading from remotes database.
  * Building on MacOSX has been refreshed.
  * New devices and features:
    + Support for the Dangerous Prototypes irtoy device is added (#20).
    + Support for for sonyir on MacOSX is added. This is a single hiddev
      device; with the framework in place hopefully more devices will be
      added over time.
    + Support for the DIY assembly kit yard2 usb ir device is added. This is
      an experimental driver which depends on a server which currently is not
      packaged in any major distro; a Debian/Ubuntu PPA is available.
    + Support for the Roku remote protocol added (#8).
    + Support for long keypresses has been added. See the "Configuring LIRC"
      chapter in the manual, search for "ignore_first_event" (#50).
  * lircd has been verified to run as regular user as long as it can open
    devices and such. A new option --effective-user makes lircd drop it's
    privileges after opening devices if started as root. A new udev rule
    is shipped to make /dev/lirc* accessible for users in group 'lirc" (#56).
  * Logging runtime option is renamed: debug -> loglevel. Levels can be given
    symbolically e. g., 'info' or 'error'. Old option name is still supported.
  * Configuration changes
    + The default location for the user lircrc-file has been changed from
      ~/.lircrc to ~/.config/lircrc. The old location is still used as fallback.
      (ticket #52).
    + The lircd.conf configuration has been updated. lircd will now besides
      the lircd.conf file also read all *.conf files in the
      /etc/lirc/lircd.conf.d directory. The already existing include directive
      has been modified to accept wildcards and also been documented.
    + lircd.conf has a new 'driver' attribute for configs requiring a specific
      driver. Supported by irrecord(1), used by lirc-setup(1) and irdb-get(1).
    + Mechanisms to disable the implicit sorting of remotes has been added,
      and the automatic sorting has been enhanced (ticket #56).
    + The enabling of lircrcd mode synchronization daemon has been changed. The
      old "#! lircrcd" shebang is deprecated and a new, global lircrc option
      "lircrc_class" is added (#62). The lircrcd sockets has been moved to
      /var/run/lirc (#61). This might break some corner-case installations.
  * Dependencies:
      + Build scripts now requires python3.
      + Build requires the pkg-config package, in particular
        /usr/share/aclocal/pkg.m4
      + python3-PyYAML is strongly recommended. lirc builds without it, but
        crippled (no table.html or lirc.hwdb, lirc-setup doesn't work).
      + Doxygen is required to build api docs (ignored if missing).
      + man2html is required to generate html manpages (the bundled version
        is dropped). If missing, no html manpages are generated.
      + lirc-setup requires gtk3 libraries and python3-gobject bindings,
        these are not required to build.
      + help2man is no longer required.
      + kernel sources are not required.
  * New configure options:
      --with-systemdsystemunitdir=... Installation path for systemd files
        (ticket #49).
      --with-lockdir=... Serial lock directory, /var/lock or /var/lockdev
        (ticket #44).
      --enable-python3-fix: Install python3 wrapper to actual python3.x
        version, bug walk-around for MacOSX.
  * Several options to configure have been dropped:
      --with-syslog: Logging defaults to using syslog, but using
        the --logfile runtime option switches to file loggging.
      --enable-debug: All builds have debug enabled.
      --daemonize: Always enabled.
      --enable-sandboxed: Devices are created in runtime.
      --with-driver=... The build always builds all drivers
      --enable-maintainer-mode: lircd.simsend and lircd.simrec
        (test tools) are always created although not installed.
  * Installation changes.
    + The so-version of the liblirc library is bumped, backwards-compatible.
    + The lircd and lircmd sockets are not created at installation any more,
      they are created on demand by the servers. If there already is e. g., a
      /var/run/lirc/lircd socket it will still be used without changing
      permissions (#46).
    + The long-standing issues with parallel make are fixed.
    + Many more files are installed in the data directory e. g., configuration
      files and a local copy of the lirc.org website.
    + Old, non-functional kernel modules are removed.
    + The configuration data which was in several places including
      configure.ac and setup.data is now in the configs/ directory.
  * API and programming features.
    + Support for sending data has been added to the lirc_client.h API.
      (ticket #35).
    + lirc now installs three separate libraries: lirc_private (internal),
      lirc (for external applications) and lirc_driver for drivers. Each
      library has a so-file to link to, a  header file for compilation
      and a pkg-config .pc file for build. Applications  and drivers have
      been refactored to use the libraries.
    + The hard-coded socket used by the lirc_client API can now be
      tweaked using LIRC_SOCKET_PATH environment variable (ticket #31).
    + There are examples in the sources how to build new drivers. The
      documentation in this area is also improved (see the driver-api guide
      and doc/api-docs).
    + The doc/ directory has support for creating doxygen API documentation.
  * Test overhaul: new unit tests available in test/. New test tools
    irsimsend and irsimreceive which works without lircd. The
    lirc-codec-regression-test script has been updated.

0.9.1 06/14/14
  * Added systemd support: unit files, socket activation.
  * Default config files are installed in /etc, use --install-etc to disable.
  * Building kernel modules is not supported.
  * New config file lirc_options.conf with cli options default values.
  * Automagically sets the lirc protocol for /dev/rc devices.
  * Whitespace cleanup and git hook to enforce whitespace handling.
  * Docs are built as part of normal build process.
  * Bugfixes
  * Autotools update and Darwin fixes.
  * docs: Added new Configuration Guide.

0.9.0: 03/25/11
  * Remove mceusb, streamzap, it8x, ene0100 drivers, as they're
    now redundant with upstream kernel drivers
  * fix oops unplugging igorplugusb receiver while in use (special
    thanks to Timo Boettcher for providing hardware)
  * more error-checking for NULL irctl in various lirc_dev paths
  * add support for Monueal Moncaso IR to mplay driver (123justme)
  * add another PNP device ID to lirc_it87 (Jochen Kühner)
  * drop references to static chardev major number 61, we use dynamic
  * resync lirc_dev with what was merged in the kernel
  * reformat code using indent to look more like Linux kernel code
  * drop explicit support for kernels older than 2.6.18
  * adapt to using lirc.h as merged in the upstream linux kernel
  * non-LONG_IR_CODE option dropped, its been the default for years
  * use portable type definitions all over the place
  * drop an old GLIBC work-around for printing 64-bit values
  * fix timing-specific repeat-after-release issue (Christoph Bartelmus)
  * renamed lirc_ite8709 to lirc_it85 and updated (Yan-Min Lin, ITE)

0.8.7: 09/06/10
  * improved usb-uirt support for FreeBSD (John Wehle)
  * spurious locking complaint fixes for FreeBSD (John Wehle)
  * added support for new Command IR III hardware (Matthew Bodkin)
  * updated mceusb support to properly initialize 3rd-gen hardware
  * updated imon driver that doesn't corrupt their displays
  * hack to make not-in-lirc zilog driver function with larger values
  * added support for Aureal ATWF@83-W001 ESKY.CC remote (Romain Henriet)
  * added transmit support to driver for ENE CIR port
    (only few devices support that)
  * made generation of automatic release events in lircd more robust
  * added tira_raw driver for the Ira/Tira receivers that supports
    receiving in timing mode, the tira driver now supports transmit
    (Arnold Pakolitz)
  * added support for DFC USB InfraRed Remote Control (Davio Franke)
  * added support for simple transmitter circuit connected to
    soundcard (Bob van Loosen)
  * added support for Philips SRM 7500 RF remote (Henning Glawe)

0.8.6: 09/13/09
  * added support for ENE KB3926 revision B/C/D (ENE0100) CIR port
    (found on some notebooks, e.g: Acer Aspire 5720G, HP Pavilion dv5)
    (Maxim Levitsky)
  * merged 1st-gen mceusb device support into lirc_mceusb2,
    renamed lirc_mceusb2 to lirc_mceusb
  * added support for putting iMON receviers into MCE/RC6 mode
  * added input subsystem mouse device support to iMON driver
  * improved iMON driver to handle dual-interface iMON devices
    via a single lirc device, reducing configuration complexity
  * added support for more iMON devices, including proper support
    for touchscreen iMON devices (Rene Harder)
  * improved iMON driver including touchscreen support
  * Linux input support added to lircmd
  * added support for IT8720 CIR port
  * moved default lircd, lircmd and lircrcd config file locations to
    /etc/lirc/lircd.conf, /etc/lirc/lircmd.conf and /etc/lirc/lircrc
  * moved lircd socket from /dev/lircd to /var/run/lirc/lircd
  * moved default pid file location from /var/run/lircd.pid to
    /var/run/lirc/lircd.pid
  * added support for XMP protocol

0.8.5: 05/21/09
  * added support for Winbond 8769L CIR port (e.g. found on Acer
    Aspire 6530G) (Juan J. Garcia de Soria)
  * added support for FTDI FT232-based IR Receiver
  * Linux input event generation using uinput
  * standardised namespace following Linux input conventions
  * added support for Awox RF/IR Remote (Arif)
  * added support for new iMON LCD devices
  * added support for Antec-branded iMon LCD and VFD devices

0.8.4a: 10/26/08
  * fixed show-stopper bug in irrecord for drivers using MODE2

0.8.4: 10/12/08
  * added support for ITE8709 CIR port (Gregory Lardiere)
  * added pronto2lirc converter (Olavi Akerman)
  * support for include directive in lircd.conf

0.8.3: 05/04/08
  * added support for Samsung USB IR Receiver (Robert Schedel)
  * added support for Soundgraph iMON IR/LCD (Dean Harding)
  * added support for IRLink receiver (Maxim Muratov)
  * added support for VLSystem MPlay Blast (Benoit Laurent)
  * implemented SIMULATE command in irsend to simulate IR events
  * added user-space I2C driver (Adam Sampson)
  * added support for Hauppauge HVR-1300 (Jan Frey)
  * dropped support for 2.4 kernels

0.8.2: 06/09/07
  * added support for TechnoTrend USB IR receiver (Stefan Macher)
  * automatic release event generation in lircd
  * added support for Apple Mac mini USB IR Receiver (Stephen Williams)
  * added support for ADSTech USBX-707 USB IR Blaster (Jelle Foks)
  * periodically try to reopen lirc device if reading fails (probably
    because USB device has been removed)
  * added support for Creative USB IR Receiver (SB0540) (Benjamin Drung)
  * lirc_mceusb2 supports setting carrier frequency
  * added support for Asus DH remote (Brice DUBOST, Bernhard Frauendienst)
  * fixed show-stopper bug in RC-6 transmit code
  * added support for Kanam Accent (Niccolo Rigacci)
  * added support for SoundGraph iMON 2.4G DT & LT (Morten Bogeskov)

0.8.1: 01/07/07
  * added support for USB-UIRT
  * added transmitter support for new version of Windows Media Center
    transceiver (Daniel Melander)
  * added support for Iguanaworks USB IR Transceiver (Joseph Dunn)

0.8.0: 01/21/06
  * added support for Actisys Act220L(+) (Jan Roemisch)
  * added support for Linksys NSLU2 (Matthias Goebl)
  * added new program lircrcd:
    lircrcd reads the .lircrc config file and synchronises the mode
    that the LIRC clients using this config file (irexec, irxevent,
    etc.) are in. Using lircrcd has to be explicitly enabled in the
    config file by adding the following line at the beginning of the
    file: "#! lircrcd"
  * the special driver option "any" has been replaced by two new
    options: "all" and "userspace"
  * bug fixes when transmitting codes with small gap values:
    NO_HEAD_REP and RC5 work correctly again

0.7.2: 08/14/05
  * added support for new version of Windows Media Center Remotes
   (Martin Blatter, Eric Moors)
  * added support for InnovationOne's COMMANDIR USB Transceiver (Evelyn Yeung,
    Matt Bodkin)
  * added support for Asus Digimatrix (Andrew Calkin)
  * bug fixes for Streamzap driver:
    - device stops responding in some situations
    - one pulse was dropped from output in certain situations
  * added support for Sound Blaster Extigy/Audigy 2 NX (Clemens Ladisch)
  * added support for Remotec Multimedia PC Remote BW6130 (Maik Freudenberg)

0.7.1: 04/17/05
  * added support for iMON-PAD and iMON-RSC models (Venky Raju)
  * added support for DViCO USB Remote (William Uther)
  * added support for Adaptec AVC-2410 capture card (Trev Jackson)
  * slight change to decode algorithm:
    decoding was very unreliable since release 0.6.6 for Motorola
    protocol which is mostly used by Grundig remotes
  * added support for Winfast PVR2000 TV card (Thomas Reitmayr)
  * added support for Streamzap PC remote
  * added support for Soundgraph iMON MultiMedian IR/VFD (Venky Raju)
  * added support for X10 MouseRemote RF Receiver (Geoffrey Hausheer)
  * added support for Hauppauge PVR150 (Per Jönsson)
  * 2.2.x kernels are no longer supported
  * added support for AOpen XC Cube EA65, EA65-II (Max Krasnyansky)
  * added IGNORE directive to lircmd (Steven Mueller)

0.7.0: 11/07/04
  * added userspace USB driver for ATI remotes (Michael Gold)
  * added support for Igor Cesko's USB IR receiver (Jan Hochstein)
  * added support for ELMAK PCMAK (Pawel Nowak)
  * added support for Sasem OnAir Remocon-V (Oliver Stabel)
  * if no .lircrc file is found in the user's home directory,
    /etc/lircrc is used
  * replaced get_key interface with more flexible add_to_buf method
  * added support for Windows Media Center Remotes (Dan Conti)
  * fine-tuning of lirc_sir driver available with threshold parameter:
    the default has been changed from 2 to 3 which should generate
    correct signal values for more remotes
  * added support for alternative IR receiver circuit connected to
    soundcard input using ALSA (Andrew Zabolotny)
  * added include command to .lircrc config file (Ingo van Lil)
  * added support for Prolink Pixelview PV-BT878P+ (Rev.4C,8E)
  * added support for UIRT2 (Mikael Magnusson)
  * added support for Home Electronics Tira USB device (Gregory McLean)
  * added support for Linux input layer (Oliver Endriss, Jack Thomasson)
  * enabled lircd to optinally (compile time setting) decode buttons
    that are not included in the config file
  * added delay directive to .lircrc config file (Tobias Blomberg)
  * added support for ATI RF Remote Wonder (Paul Miller)
  * added support for I-O Data GV-BCTV5/PCI TV card (Jens C. Rasmussen)
  * added support for Creative iNFRA CDROM (Leonid Froenchenko)
  * added support for Creative BreakOut-Box (Stefan Jahn)
  * added support for Igor Cesko's receiver variation
  * added support for Ericsson mobile phone via Bluetooth (Vadim Shliakhov)
  * added support for X10 MP3 Anywhere RF receiver (Shawn Nycz)
  * added support for Creative LiveDrive (Stephen Beahm)
  * added command line options to lircd that allow running multiple
    instances of the daemon (Kir Kostuchenko)
  * added support for IR receiver connected to soundcard input,
    most parts now compile on Mac OS X/Darwin (Matthias Ringwald)
  * fixed show-stopper bug in RC-6 transmit code
  * added support for Jetway TV/Capture JW-TV878-FBK, Kworld KW-TV878RF cards
  * added support for Leadtek WinView 601 TV card
  * renamed rc tool to irsend due to name clash with another rc program
  * added support for AverMedia VDOMATE
  * added support for Flyvideo 98FM (LR50Q) / Typhoon TView TV/FM Tuner
  * added support for Asus TV-Box (Stefan Jahn)

0.6.6: 10/06/02
  * added rc tool for sending IR commands (previously included in xrc package)
  * bugfix for Winfast TV2000 card
  * added SIR support for Actisys Act200L dongle (Karl Bongers)
  * added UDP network driver for use with the IPC@Chip (Jim Paris)
  * added support for hardware connected to soundcard input (Pavel Machek)
  * added support for Tekram M230 Mach64 (Froenchenko Leonid)

0.6.5: 01/26/02
  * added support for IntelliMouse to lircmd
  * added support for ITE IT8712/IT8705 CIR port (Hans-Günter Lütke Uphues)
  * added support for Prolink PV-BT878P+9B card (Arkadiusz Miskiewicz)
  * added support for Hauppauge DVB-s card
  * more transmit bug fixes

0.6.4: 08/15/01
  * fixed bug in home-brew transmitter code (Steve Davies)
  * fixed bug in Irdeo transmit code
  * added support for FlyVideo II TV card (Alexios Chouchoulas)
  * added support for Compaq iPAQ
  * added support for FlyVideo 98/FM TV card
  * added support for Winfast TV2000 (Juan Toledo)
  * added support for BT878 version of BestBuy Easy TV card (Miguel Angel)
  * added support for KNC ONE TV cards (Ulrich Mueller)

0.6.3: 03/10/01
  * added support for Silitek SM-1000 receiver (Krister Wicksell Eriksson)
  * added TCP/IP network support (Bryan Clingman)
  * changed behaviour of the repeat setting in .lircrc.
    Now the 1st,(n+1)th, (2n+1)th codes are forwarded to the
    application. I wonder why it ever was anything else...
  * added support for BestBuy EasyTV (Miguel A. Alvarez
    <maacruz@navegalia.com>)
  * added support for ProVideo PV951 (Bogdan Gaspar)
  * added support for Creative Infra receiver (PC-DVD remote, Stephen White)
  * major changes to the SIR driver, if you used this driver before
    you may have to generate new config files for your remotes
  * Tekram Irmate 210 support (receiving only, EXPERIMENTAL)
    range is really lousy (<10 cm) for some remotes, works best with
    RECS80 remotes due to the short pulses this protocol uses
  * Fly98 TV is now supported by the lirc_gpio module
  * renamed lirc_gpio_p module to lirc_gpio
  * added support for Technisat MediaFocus I
  * changes to transmit code in lirc_serial (read update hints for details)
  * added support for Pixelview PlayTV (bt878) card
  * moved lirc_haup to lirc_i2c
  * added support for Chronos Video Shuttle II TV card (Tonu Raitviir)
  * added startup_mode flag to .lircrc config file (Bruno Coudoin)

0.6.2: 09/10/00
  * added support for IRdeo (www.pofahl.de/irdeo.htm). Many thanks to
    Hans-Hermann Redenius for contributing a device.
  * Konrad Riedel has added support for CARACA (caraca.sourceforge.net)
  * added min_repeat option to lircd.conf
    Some remotes (e.g. Sony) send the IR codes several times if you
    press a button even though you don't hold the button down. This
    new option tells lircd how often it should send a code
    additionally to the first code. In order to send the code three
    times altogether you have to set min_repeat to 2.

0.6.1: 07/21/00
  * added support for PCTV (pro) receiver by Pinnacle Systems (Bart Alewijnse)
  * lircd now can be configured to use syslogd for log output
    Thanks to Rainer Clasen for the suggestion.
  * irexec has a --daemon option to easily start it from an init script
    Thanks to Eric Crahen for the suggestion.
  * added RC-MM support
  * added RC-6 support
  * added support for Slink-e by Nirvis Systems (Max Spring)
  * added duty_cycle option to lircd.conf
  * hardware is only initialized if clients have connected to lircd
    That way modules don't have to be loaded until they are really
    needed. Thanks to Gilles Chanteperdrix for suggestion and patches.
  * added support for the following TV cards:
    Hauppauge, AVerMedia, Fly Video 98, Pixelview PlayTV pro
  * added hardware abstraction layer for TV cards (Artur Lipowski
    <lipowski@comarch.pl>)

0.6.0: 04/02/00
  * SMP support for serial port driver
  * Milan Pikula has provided a driver for the SIR (serial infrared)
    mode of IrDA ports available in many notebooks
  * lirc_client is now a library
  * irxevent: new keyword:
     xy_Key <x_position> <y_position> [modifiers-]<key> <windowname>
  * finally added support of shift-encoded remotes to irrecord
  * got rid of lirmand, you no longer need it!
    if you update from lirc-0.5.4 you might want to modify the value
    of gap in your config file to make repeats work (or just record
    everything again)
  * added new feature to .lircrc config file:
    a program with name 'progname' will startup in mode 'progname' if
    such a mode is defined
  * now works on Alphas
  * added very simple noise filter to serial port driver
  * added TOGGLE_ACTIVATE directive to lircmd
  * renamed examples to contrib, added Debian 2.1 Slink init script
  * cleaned up lircmd.c
  * fixed bug in lirc_nextir()
  * implemented extended C escape codes in .lircrc
  * added IMPS/2 protocol to lircmd
  * fixed signal bug in lircd, lircmd
  * cleaned up parallel port driver: works great
  * reversed order of ChangeLog and renamed to NEWS
  * deleted all those nice new 0.5.4 Makefiles...
    we now do automake and autoconf (Tom Wheeley)
  * fixed memory leak in read_config()
  * read_config(): parser recognizes garbage at the end of valid lines
  * irrecord.c: 'begin','end' and names beginning with '#' are not allowed
    as button name
  * changed decoding code as last bit of pulse encoded remotes (e.g. SONY)
    can be significant
  * irrecord.c: small fix to make NO_HEAD_REP work
  * started to add support for TV cards
  * parport support for parallel port driver in 2.2.x kernels
    As I don't plan to upgrade my Linux box to 2.2.x very soon this code
    will stay untested until then.
  * lircd accepts some list commands, an example will be implemented in
    the next version of xrc; lircd sends a 'SIGHUP' string to all clients
    on SIGHUP
  * added new flag to support remote controls that also send a header
    before repeat codes


0.5.4: 02/26/99
  * fixed misbehaviour when header and repeat code is equal
  * added new flag to support AIWA remote controls correctly
  * parser is more pedantic regarding numbers
  * fixed a bug parsing flags
  * LONG_IR_CODE is now default
    There are more remote controls that send >32 bits than I thought.
  * fixed some bugs in sending code
  * minor changes to decoding code, I hope that everything else is still
    working
  * record now can convert config files in raw mode into normal config
    files
    These config files are much smaller and consume less memory.
    This is still experimental and will only work for space encoded remote
    controls.
  * added repeat_gap to support AnimaX remote controls correctly (only
    sending is affected)
  * As there have been some changes to the decoding code, I have added some
    code to simulate any remote control as long as I have a config file
    for it.
    So now I am quite sure that everything is still working with the
    already known remote controls because I now can test it. :-)
  * merged the device driver with Ben Pfaff's driver
  * some things done by me (Karsten Scheibler)
    - added documentation
    - rewrite of the Makefiles to make installation somewhat easier
    - new directory structure
  * fixed a nasty bug in serial port device driver
  * fixed sense autodetection problem in serial device driver (thanks
    to Eric Lammerts for the patch)
  * changed the name of record program to irrecord to avoid name conflicts
  * fixed another bug in serial port device driver, we must autodetect
    sense before requesting the IRQ
  * documentation-update
  * fixed (I hope) problem with irq_handler in the serial port device driver
  * changes to the serial port device driver to support the Animax remote
    control correctly
  * added xmode2 and irxevent-0.4.2 to the tools directory (thanks to
    Heinrich Langos)


0.5.3: 11/23/98
  * changed type of ir_code to unsigned long for faster decoding on
    32-bit architectures. Change the define in the Makefile to get the
    old setting.
  * removed some inlines to reduce code size
  * changed config file format for all application programs
    The most important new features are:
    - one config file for all lirc applications possible
      You can still have different config files.
    - toggle buttons possible
    - button sequences are supported
    - different modes available for e.g. cd, mpg, tv, etc.
  * new program: smode2


0.5.2: 10/20/98
  * This version has been done by Pablo d'Angelo and me (Chistoph)
  * (changed by pablo) changed the config-files format for every application
    in the apps directory.
    You can specify the remote within the config files. '*' are allowed as
    wildcards for button and remote now. (beware: the config file is parsed
    from bottom to top, in case you use button='*')
  * added ACTIVATE direcitve to lircmd config file
    There is an example config file in contrib/lircmd.conf now.
  * added some Philips remote controls (thanks to Per-Henrik Persson)
  * shift encoded remote contols now work!
  * Pablo has added config file support to lircd
    The old header files still can be used for compatibility.
    As the header files and the format of the config files might change in
    further versions (yes, it has changed again in this version) you are only
    on the safe side if you send me header/config files for your remote
    controls that are not already part of this package.
  * both lircd and lircmd will re-read their config files an SIGHUP
  * added support for "raw mode" remote controls to lircd
    The IR signals are not decoded. Instead the output of the device driver
    is just recorded and kind of pattern matching is being done to
    recognize a IR signal.
    There is a new program in apps:
    record will create a lircd config file for your remote control in raw mode
    This also will work with remote contorls that do not use a known
    protocol for sending IR signals. There might be some limitations on this
    I am not aware of at the moment, but the only problem I can think of now
    are remote controls that use a repeat bit.
    You can still record the IR signals twice for each state of the repeat bit.
    This will give you good enough results, but this is not an elegant
    solution.


0.5.1: 09/05/98
  * configureable mouse daemon
  * minor bugfixes


0.5.0: 09/02/98
  * this is a complete rewrite of the daemon done by me (Christoph)
  * cleaned up the whole package
  * removed mouse stuff from daemon, somebody has to write a configureable
    mouse daemon...
  * the daemon has been rewritten in plain C,
    this should be much better to read
  * there is support for sending again
    you can download the software for sending via lirc from my homepage
    at http://fsinfo.cs.uni-sb.de/~columbus/lirc
  * the data structures for remotes have changed,
    adding new remotes should be much easier now
    at this time there is only support for my remote control
    further remote controls will be added if they are confirmed to work
    with the new header files
  * by default the daemon writes into a logfile in /var/log/lircd
  * added irxevent for sending events to X application
    from Heinrich Langos (heinrich@null.net)


0.4.1: 06/05/98
  * The structures for the different remotes have been moved into their own
    header files, in the directory remotes.  The file remotes.h controls
    which ones get compiled in.
  * An additional remote (panasonic) thanks to Tommy Thorn
  * Some updates to the docs
  * Somes changes to make shift encoded remotes work better.  They still
    don't work right.  I don't have one of these remotes, so there isn't
    much I can do.


0.4: 02/25/98
  * Not official, done by me (Trent)
  * new mode in kernel driver, easier to use and more stable
  * Use UNIX domain socket rather than TCP socket for daemon
  * decoding is more robust
  * support for Packard Bell remotes, their repeat codes, and mouse control
  * support for my JVC and Pioneeer remotes
  * easier config file format, use names like MUTE, POWER instead of hex codes
  * new program irexec, run programs when you press buttons.
  * misc other fixes/changes
  * no transmitting stuff....


0.3: 07/21/96
  * some support for transmitting
  * cleaned up ir_remote
  * readir replaced by record


0.2: 05/15/96
  * remote recognition more flexible
    for most remotes you only need to fill in a data table now
    see ir_remote.h and ir_remote.cc


0.1: 05/13/96
  * first release
